.progressbar {
    font-family: sans-serif;
    margin: 20px;
	/* disable pointer-events */
	pointer-events: none;
    /* center, top of ui */
    position: fixed;
	top: 50%;
	left: 50%;
	transform: translate( -50%, -50% );
	z-index: 1100;	/* 1000 == UI, 1100 = TOP of UI */
	margin: 0;
}

.progressbar-label {
    margin-bottom: 6px;
    font-size: 14px;
}

.progressbar-box {
    width: 300px;
    height: 20px;
    background: #444;
    border-radius: 4px;
    position: relative;
    overflow: hidden;
}

.progressbar-line {
    height: 100%;
    background: #4caf50;
    width: 0;
    transition: width 0.1s linear;
}

.progressbar-text {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    text-align: center;
    color: white;
    font-size: 12px;
    line-height: 20px;
}
